Package org.eclipse.rdf4j.spring.tx

## Class RDF4JRepositoryTransactionManager

- java.lang.Object
- - org.springframework.transaction.support.AbstractPlatformTransactionManager
  - - org.eclipse.rdf4j.spring.tx.RDF4JRepositoryTransactionManager

- All Implemented Interfaces:
    `Serializable`, `org.springframework.transaction.PlatformTransactionManager`, `org.springframework.transaction.TransactionManager`

      public class RDF4JRepositoryTransactionManager
      extends org.springframework.transaction.support.AbstractPlatformTransactionManager

  Since:
    4.0.0
  Author:
    ameingast@gmail.com, Florian Kleedorfer
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager

      `org.springframework.transaction.support.AbstractPlatformTransactionManager.SuspendedResourcesHolder`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager

      `SYNCHRONIZATION_ALWAYS, SYNCHRONIZATION_NEVER, SYNCHRONIZATION_ON_ACTUAL_TRANSACTION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDF4JRepositoryTransactionManager​(TransactionalRepositoryConnectionFactory repositoryConnectionFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doBegin​(Object o, org.springframework.transaction.TransactionDefinition transactionDefinition)` |
    `protected void` | `doCleanupAfterCompletion​(Object transaction)` |
    `protected void` | `doCommit​(org.springframework.transaction.support.DefaultTransactionStatus defaultTransactionStatus)` |
    `protected Object` | `doGetTransaction()` |
    `protected void` | `doRollback​(org.springframework.transaction.support.DefaultTransactionStatus defaultTransactionStatus)` |
    `protected void` | `doSetRollbackOnly​(org.springframework.transaction.support.DefaultTransactionStatus status)` |
    `protected boolean` | `isExistingTransaction​(Object transaction)` |

    - ### Methods inherited from class org.springframework.transaction.support.AbstractPlatformTransactionManager

      `commit, determineTimeout, doResume, doSuspend, getDefaultTimeout, getTransaction, getTransactionSynchronization, invokeAfterCompletion, isFailEarlyOnGlobalRollbackOnly, isGlobalRollbackOnParticipationFailure, isNestedTransactionAllowed, isRollbackOnCommitFailure, isValidateExistingTransaction, newTransactionStatus, prepareForCommit, prepareSynchronization, prepareTransactionStatus, registerAfterCompletionWithExistingTransaction, resume, rollback, setDefaultTimeout, setFailEarlyOnGlobalRollbackOnly, setGlobalRollbackOnParticipationFailure, setNestedTransactionAllowed, setRollbackOnCommitFailure, setTransactionSynchronization, setTransactionSynchronizationName, setValidateExistingTransaction, shouldCommitOnGlobalRollbackOnly, suspend, triggerBeforeCommit, triggerBeforeCompletion, useSavepointForNestedTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDF4JRepositoryTransactionManager

          public RDF4JRepositoryTransactionManager​(TransactionalRepositoryConnectionFactory repositoryConnectionFactory)

  - ### Method Detail

    - #### doGetTransaction

          protected Object doGetTransaction()
                                     throws org.springframework.transaction.TransactionException

      Specified by:
        `doGetTransaction` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
      Throws:
        `org.springframework.transaction.TransactionException`

    - #### isExistingTransaction

          protected boolean isExistingTransaction​(Object transaction)
                                           throws org.springframework.transaction.TransactionException

      Overrides:
        `isExistingTransaction` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
      Throws:
        `org.springframework.transaction.TransactionException`

    - #### doBegin

          protected void doBegin​(Object o,
                                 org.springframework.transaction.TransactionDefinition transactionDefinition)
                          throws org.springframework.transaction.TransactionException

      Specified by:
        `doBegin` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
      Throws:
        `org.springframework.transaction.TransactionException`

    - #### doCommit

          protected void doCommit​(org.springframework.transaction.support.DefaultTransactionStatus defaultTransactionStatus)
                           throws org.springframework.transaction.TransactionException

      Specified by:
        `doCommit` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
      Throws:
        `org.springframework.transaction.TransactionException`

    - #### doRollback

          protected void doRollback​(org.springframework.transaction.support.DefaultTransactionStatus defaultTransactionStatus)
                             throws org.springframework.transaction.TransactionException

      Specified by:
        `doRollback` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
      Throws:
        `org.springframework.transaction.TransactionException`

    - #### doSetRollbackOnly

          protected void doSetRollbackOnly​(org.springframework.transaction.support.DefaultTransactionStatus status)
                                    throws org.springframework.transaction.TransactionException

      Overrides:
        `doSetRollbackOnly` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`
      Throws:
        `org.springframework.transaction.TransactionException`

    - #### doCleanupAfterCompletion

          protected void doCleanupAfterCompletion​(Object transaction)

      Overrides:
        `doCleanupAfterCompletion` in class `org.springframework.transaction.support.AbstractPlatformTransactionManager`